<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.wx.mapper.WxExtractMapper">

    <resultMap type="WxExtract" id="WxExtractResult">
        <result property="id"    column="id"    />
        <result property="openid"    column="openid"    />
        <result property="extractPrice"    column="extract_price"    />
        <result property="remark"    column="remark"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
        <result property="status"    column="status"    />
    </resultMap>

    <sql id="selectWxExtractVo">
        select * from wx_extract
    </sql>

    <select id="selectWxExtractList" parameterType="WxExtract" resultMap="WxExtractResult">
        <include refid="selectWxExtractVo"/>
        <where>
            <if test="openid != null  and openid != ''"> and openid = #{openid}</if>
            <if test="extractPrice != null "> and extract_price = #{extractPrice}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
        </where>
    </select>

</mapper>
